EditCrossSectionBuilder Class

class NXOpen.Features.EditCrossSectionBuilder

Bases: NXOpen.Features.FeatureBuilder

Represents a NXOpen.Features.EditCrossSection builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateEditCrossSectionBuilder()

Default values.

Property Value
IncludeBlends 0
IncludeHoles 1

New in version NX8.0.0.

Properties

Property Description
Face Returns the face collector.
FaceChangeOverflowBehavior Returns the face change overflow behavior.
IncludeBlends Returns or sets the include blends setting.
IncludeHoles Returns or sets the include holes setting.
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
Plane Returns the select plane.
SectionSketch Returns or sets the sketch which holds the section curves
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.

Methods

Method Description
ChangeSectionCurve Change the section curves.
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
CreateSectionCurve Create the section curves.
DeleteSectionSketch Remove the curve sketch
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetObject Returns the object currently being edited by this builder.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
IncludeBlendFaces Include or exclude the blends.
IncludeHoleFaces Include or exclude the holes.
RecreateSectionCurve Recreate the section curves.
RemoveData Remove the section data.
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

Face

EditCrossSectionBuilder.Face

Returns the face collector.

This holds all the input faces to intersect.

-------------------------------------

Getter Method

Signature Face

Returns:
Return type:NXOpen.ScCollector

New in version NX8.0.0.

License requirements: None.

FaceChangeOverflowBehavior

EditCrossSectionBuilder.FaceChangeOverflowBehavior

Returns the face change overflow behavior.

Please refer NXOpen.GeometricUtilities.FaceChangeOverflowBehavior for details.

-------------------------------------

Getter Method

Signature FaceChangeOverflowBehavior

Returns:
Return type:NXOpen.GeometricUtilities.FaceChangeOverflowBehavior

New in version NX8.0.0.

License requirements: None.

IncludeBlends

EditCrossSectionBuilder.IncludeBlends

Returns or sets the include blends setting.

True indicates a blend face participates in the section and is represented by a section curve.

-------------------------------------

Getter Method

Signature IncludeBlends

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature IncludeBlends

Parameters:includeBlends (bool) –

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR insp_programming (“INSPECTION PROGRAMMING”)

IncludeHoles

EditCrossSectionBuilder.IncludeHoles

Returns or sets the include holes setting.

True indicates an interior boundary participates in the section and is represented in the section curve set.

-------------------------------------

Getter Method

Signature IncludeHoles

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature IncludeHoles

Parameters:includeHoles (bool) –

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR insp_programming (“INSPECTION PROGRAMMING”)

Plane

EditCrossSectionBuilder.Plane

Returns the select plane.

This is the plane to intersect.

-------------------------------------

Getter Method

Signature Plane

Returns:
Return type:NXOpen.SelectISurface

New in version NX8.0.0.

License requirements: None.

SectionSketch

EditCrossSectionBuilder.SectionSketch

Returns or sets the sketch which holds the section curves

-------------------------------------

Getter Method

Signature SectionSketch

Returns:
Return type:NXOpen.Sketch

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature SectionSketch

Parameters:sectionSketch (NXOpen.Sketch) –

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR insp_programming (“INSPECTION PROGRAMMING”)

Method Detail

ChangeSectionCurve

EditCrossSectionBuilder.ChangeSectionCurve

Change the section curves.

Signature ChangeSectionCurve()

New in version NX8.0.0.

License requirements: None.

CreateSectionCurve

EditCrossSectionBuilder.CreateSectionCurve

Create the section curves.

Signature CreateSectionCurve()

New in version NX8.0.0.

License requirements: None.

DeleteSectionSketch

EditCrossSectionBuilder.DeleteSectionSketch

Remove the curve sketch

Signature DeleteSectionSketch(sectionSketch)

Parameters:sectionSketch (NXOpen.Sketch) –

New in version NX9.0.0.

License requirements: None.

IncludeBlendFaces

EditCrossSectionBuilder.IncludeBlendFaces

Include or exclude the blends.

Signature IncludeBlendFaces()

New in version NX8.0.0.

License requirements: None.

IncludeHoleFaces

EditCrossSectionBuilder.IncludeHoleFaces

Include or exclude the holes.

Signature IncludeHoleFaces()

New in version NX8.0.0.

License requirements: None.

RecreateSectionCurve

EditCrossSectionBuilder.RecreateSectionCurve

Recreate the section curves.

Signature RecreateSectionCurve()

New in version NX8.0.0.

License requirements: None.

RemoveData

EditCrossSectionBuilder.RemoveData

Remove the section data.

Signature RemoveData()

New in version NX8.5.0.

License requirements: None.

Validate

EditCrossSectionBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.